<?php

namespace BancoTalentos\Services;

use BancoTalentos\Util\{ Repositories, Service };
use Teknisa\Model\Gestaopessoas\Entities\GpePessoa;

class PessoaService extends Service {

    public function getEntityRepositoryName(): string {
        return Repositories::GPE_PESSOA;
    }

    public function getEntityKeysName(): array {
        return [
            'NRORG',
            'NRPESSOA'
        ];
    }

    /**
     * @return GpePessoa
     */
    public function find(
        array $row,
        $keysNames = null
    ) {
        return parent::find($row, $keysNames);
    }
}